cURL
curl --request POST \ --url https://api.agentic.scope3.com/api/v2/storefront/signals/discover \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "agentId": "<string>", "signalSpec": "<string>", "signalIds": [ "<string>" ], "limit": 20, "offset": 0 } '
{ "agentResults": [ { "agentId": "<string>", "agentName": "<string>", "success": true, "signalCount": 0, "error": "<string>" } ], "signals": [ { "signalId": "<string>", "name": "<string>", "description": "<string>", "dataProvider": "<string>", "coveragePercentage": 123, "access": [ { "seatId": 123, "visibility": "<string>", "price": { "pricing_option_id": "<string>", "pricing_model": "cpm", "currency": "<string>", "fixed_price": 123, "floor_price": 123, "max_bid": true, "price_guidance": { "p25": 123, "p50": 123, "p75": 123, "p90": 123 }, "min_spend_per_package": 123, "price_breakdown": { "list_price": 123, "adjustments": [ {} ] }, "eligible_adjustments": [ "fee" ] } } ], "regions": [ "NORAM" ], "keyType": [ "property" ], "metadata": {} } ], "total": 4503599627370495 }
Query signal agents via ADCP to discover available signals. Does not persist results.
API key or access token
255
5000
100
x <= 100
0 <= x <= 9007199254740991
Discover signals
Show child attributes